--- develop/debian-br/zine/trunk/edicoes/2005/002/artigos/002_smartcards.txt	2005-06-12 21:06:28.596468552 -0300
+++ develop/debian_zine_edit/002_smartcards_fike.txt	2005-06-12 22:47:07.660652080 -0300
@@ -1,35 +1,63 @@
-Titulo:  Configuração de smartcards e certificados e-CNPJ e e-CPF no Debian Linux
+Titulo: Configuração de smartcards e certificados e-CNPJ e e-CPF no Debian 
+GNU/Linux
 Autor: Bruno César Brito Sant'Anna <brunocesar@ajato.com.br>
+Revisor0: Fernando Ike de Oliveira <fernando.ike@gmail.com>
 
+Configuração de smartcards e certificados e-CNPJ e e-CPF no Debian GNU/Linux
+========================================================================
 
-Aguardo respostas e obrigado pela oportunidade.
-anexo documento em texto simples (artigosmartdebianzine.txt)
-Apesar de ser um sistema operacional extremamente robusto, exite pouca documentao sobre como fazer smarcard readers funcionarem no Linux, isso depende de alguns fabricantes mas grande parte dos equipamentos j tem suporte. Por meio de smartcards podemos utilizar um carto inteligente para nos autenticar nos mais diversos servios, seja logar na rede, seja acessar uma rea restrita de alguma intranet.
+Apesar de ser um sistema operacional extremamente robusto, existe pouca 
+documentação sobre como fazer smarcards readers funcionarem no GNU/Linux, isso 
+depende de alguns fabricantes mas grande parte dos equipamentos já tem 
+suporte. Por meio de smartcards podemos utilizar um cartão inteligente 
+para autenticar-nos aos mais diversos serviços, seja logar na rede, seja 
+acessar uma área restrita de alguma intranet.
+
+Recentemente, a Receita Federal iniciou o uso público de smartcards no 
+Brasil com seus certificados e-CNPJ e e-CPF, estes certificados podem ser 
+obtidos de outras maneiras como por exemplo token usb.  Com estes 
+certificados podemos acessar áreas restritas do site da Receita, envio de 
+arquivos, acredito que em um futuro próximo a receita vai tornar esses 
+certificados obrigatórios (no caso do e-CNPJ já é obrigatótrio para entregar 
+a DCTF mensal). Maiores informações sobre estes certificados podem ser 
+encontradas em http://www.receita.fazenda.gov.br
+
+Um dos clientes de nossa empresa precisava realizar alguns serviços na 
+receita, tínhamos certa urgência, então optamos para a aquisição de um 
+certificado e-CNPJ, aqui vai uma nota importante, os leitores de smartcard 
+fornecidos pela Serasa (modelo Argos Mini II) no funcionaram, já fiz os 
+testes mas não obtive sucesso, o leitor de SmartCard da CertiSign (modelo 
+GemPC Twin) funcionou perfeitamente, s fiz os testes com esses dois 
+modelos, portanto recomendo o GemPC Twin .
+
+Com o smartcard e a leitora em mãos, vamos começar os preparativos. Vou 
+listar abaixo o hardware utilizado:
+
+- Smartcard Reader USB GemPC Twin
+
+- Laptop c/ Debian Sid
+
+
+A instalação tranqüila, vamos aos downloads. Antes de mais nada instale 
+(ou verifique se já está instalada) a biblioteca libusb:
+# aptitude install libusb
+
+Vamos ter que instalar o PCSC-lite, na verdade é uma biblioteca que 
+controla a comunicação entre os SmartCards e as leitoras:
+# aptitude install pcscd libpcsclite1
+
+Instale também o pcsc-tools, não é obrigatório, mas para ver seu smartcard 
+foi detectado corretamente:
+# aptitude install pcsc-tools
+
+Vamos agora instalar o driver para a leitora, chamado ccid (como informei 
+antes a Leitora GemPC Twin, marca GemPlus). Na verdade um driver genérico 
+que funciona com a maioria das leitoras usb (veja a lista das leitoras 
+compatíveis em http://pcsclite.alioth.debian.org/ccid.html):
+# aptitude install libccid
 
-Recentemente, a Receita Federal iniciou o uso publico de smartcards no Brasil com seus certificados e-CNPJ e  e-CPF, estes certificados podem ser obtidos de outras maneiras como por exemplo token usb.  Com estes certificados podemos acessar reas restritas do site da Receita envio de arquivos, acredito que em um futuro prximo a receita vai tornar esses certificados obrigatrios (no caso do e-CNPJ j  obrigatrio para entregar a DCTF mensal). Maiores informaes sobre estes certificados podem ser encontradas em http://www.receita.fazenda.gov.br
-
-Um dos clientes de nossa empresa precisava realizar alguns servios na receita, tnhamos certa urgncia, ento optamos para a aquisio de um certificado e-CNPJ, aqui vai uma nota importante, os leitores de smartcard fornecidos pela Serasa (modelo Argos Mini II) no funcionaram, j fiz os testes mas no obtive sucesso, o leitor de SmartCard da CertiSign (modelo GemPC Twin) funcionou perfeitamente, s fiz os testes com esses dois modelos, portanto recomendo o GemPC Twin .
-
-Com o smartcard e a leitora em mos, vamos comear os preparativos. Vou listar abaixo o hardware utilizado:
-
-Smartcard Reader USB GemPC Twin
-
-Laptop c/ Debian Sid
-
-
-A instalao  tranqila, vamos aos downloads. Antes de mais nada instale (ou verifique se j est instalada) a biblioteca libusb:
-# apt-get install libusb
-
-Vamos ter que instalar o PCSC-lite, que na verdade  uma biblioteca que controla a comunicao entre os SmartCards e as leitoras:
-# apt-get install pcscd libpcsclite1
-
-Instale tambm o pcsc-tools, no  obrigatrio, mas  para ver se seu smartcard foi detectado corretamente:
-# apt-get install pcsc-tools
-
-Vamos agora instalar o driver para a leitora, chamado ccid (como informei antes Leitora GemPC Twin, marca GemPlus).Na verdade  um driver genrico que funciona com a maioria das leitoras usb (veja a lista das leitoras compatveis em http://pcsclite.alioth.debian.org/ccid.html):
-# apt-get install libccid
-
-Agora plugue sua leitora no usb, no Debian reinicie o servio pcscd e verifique se sua leitora foi detectada com o comando pcsc_scan:
+Agora plugue sua leitora no usb, no Debian reinicie o serviço pcscd e 
+verifique se sua leitora foi detectada com o comando pcsc_scan:
 ####################################################################
 #$ pcsc_scan                                                       #
 #PC/SC device scanner                                              #
@@ -43,50 +71,67 @@
 #        Card state: Card removed,                                 #
 ####################################################################
 
-Como voc pode verificar, a leitora foi corretamente detectada.
-
-Agora vamos fazer a instalao do OpenSC, que  um conjunto de bibliotecas que permite aos programas acessarem dispositivos SmartCard, dando suporte  leitura, escrita, criao de certificados, alterao de PIN e diversas outras opes (para mais informaes: http://www.opensc.org/):
-# apt-get install opensc libopensc1 libopensc-openssl
+Como você pode verificar, a leitora foi corretamente detectada.
 
-Ok, bibliotecas OpenSC instaladas, agora crie um link simblico para que os smartcard padro PKCS11 (os utilizados pela Receita Federal) possam ser utilizados pelo OpenSC:
+Agora vamos fazer a instalação do OpenSC, é um conjunto de bibliotecas 
+que permite aos programas acessarem dispositivos SmartCard, dando suporte 
+leitura, escrita, criação de certificados, alteração de PIN e diversas 
+outras opções (para mais informações: http://www.opensc.org/):
+# aptitude install opensc libopensc1 libopensc-openssl
+
+Ok, bibliotecas OpenSC instaladas, agora crie um link simbólico para que 
+os smartcard padrão PKCS11 (os utilizados pela Receita Federal) possam 
+ser utilizados pelo OpenSC:
 # ln -s /usr/lib/pkcs11/opensc-pkcs11.so /usr/lib
 
-Vamos agora analisar um certificado e-CNPJ dentro de um smartcart:
-#######################################################################################################################################
-## pkcs15-tool --list-certificates                                                                                                    #
-#X.509 Certificate [AC CertiSign SRF V3 emitido por Autoridade Certificadora da Secretaria da Receita Federal v1]                     #
-#        Flags    : 2                                                                                                                 #
-#        Authority: no                                                                                                                #
-#        Path     : 4300                                                                                                              #
-#        ID       : 1032435d27af2eebda6a0cbe6cd7be400a2256c0                                                                          #
-#                                                                                                                                     #
-#X.509 Certificate [Autoridade Certificadora Raiz Brasileira emitido por Autoridade Certificadora Raiz Brasileira]                    #
-#        Flags    : 2                                                                                                                 #
-#        Authority: no                                                                                                                #
-#        Path     : 4300                                                                                                              #
-#        ID       : 8efdcabc93e61e925d4d1ded181a4320a467a139                                                                          #
-#                                                                                                                                     #
-#X.509 Certificate [Autoridade Certificadora da Secretaria da Receita Federal v1 emitido por Autoridade Certificadora Raiz Brasileira]#
-#        Flags    : 2                                                                                                                 #
-#        Authority: no                                                                                                                #
-#        Path     : 4300                                                                                                              #
-#        ID       : 1a88a3bebf91c8d560547f89717e98ef9f16f86f                                                                          #
-#                                                                                                                                     #
-#X.509 Certificate [EMPRESA DE EXEMPLO DO ARTIGO LTDA:00000000000100's ICP-Brasil ID]                                                 #
-#        Flags    : 2                                                                                                                 #
-#        Authority: no                                                                                                                #
-#        Path     : 4300                                                                                                              #
-#        ID       : xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx                                                                          #
-#######################################################################################################################################
-
-Esto listados os certificados contidos no carto, agora vem a configurao do mozilla para a leitura da smartcards, esta configurao funciona tanto no Mozilla quanto no Firefox. Certifique-se que o Personal Security Manager (pacote mozilla-psm est instalado):
-# apt-get install mozilla-psm
+Vamos agora analisar um certificado e-CNPJ dentro de um smartcard:
+##############################################################################
+#pkcs15-tool --list-certificates                                             #
+#       														  #
+# X.509 Certificate [AC CertiSign SRF V3 emitido por Autoridade Certificadora#
+# da Secretaria da Receita Federal v1]                                       #
+# Flags    :2                                                                #
+# Authority:no													  #
+# Path     :4300                                                             #
+# ID   :1032435d27af2eebda6a0cbe6cd7be400a2256c0                             #
+#                                     								  #
+# X.509 Certificate [Autoridade Certificadora Raiz Brasileira emitido por    #
+# Autoridade Certificadora Raiz Brasileira]                     		       #
+#															  #
+# Flags    :2                                                                #
+# Authority:no                                                               #
+# Path     :4300												  #
+# ID       :8efdcabc93e61e925d4d1ded181a4320a467a139                         #
+#                                                                            #
+#X.509 Certificate [Autoridade Certificadora da Secretaria da Receita        #
+Federal v1 emitido por Autoridade Certificadora Raiz Brasileira]             #
+#															  #
+# Flags    :2													  #
+# Authority:no													  #
+# Path     :4300												  #
+# ID       :1a88a3bebf91c8d560547f89717e98ef9f16f86f 					  #
+#															  #
+#                                                                            #
+#X.509 Certificate [EMPRESA DE EXEMPLO DO ARTIGO LTDA:00000000000100's       #
+# ICP-Brasil ID]                                                             #
+# Flags    :2													  #
+# Authority:no 												  #	
+# Path     :4300												  #
+# ID       :xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx					  #
+#															  #
+#############################################################################
+
+Estão listados os certificados contidos no cartão, agora vem a configuração do 
+mozilla para a leitura da smartcards, esta configuração funciona tanto no 
+Mozilla quanto no Firefox. Certifique-se que o Personal Security Manager 
+(pacote mozilla-psm está instalado):
+# aptitude install mozilla-psm
 
-Instale tambm o pacote mozilla-opensc:
-# apt-get install mozilla-opensc
+Instale também o pacote mozilla-opensc:
+# aptitude install mozilla-opensc
 
-Pronto, vamos agora  configurao:
-   1. Com o Mozilla (ou Firefox) aberto, v em Edit > Preferences;
+Pronto, vamos agora configuração:
+   1. Com o Mozilla (ou Firefox) aberto, vá em Edit > Preferences;
    2. Selecione a categoria Privacy & Security > Certificates;
    3. Clique em Manage Security Devices;
    4. Clique em Load;
@@ -94,9 +139,13 @@
    6. No campo Module File digite: /usr/bin/opensc-pkcs11.so. 
 
 
-O navegador dever exibir uma mensagem demonstrando que a certificao foi importada com sucesso.
-Pronto, faa o teste no site da Receita Federal.
+O navegador deverá exibir uma mensagem demonstrando que a certificação foi 
+importada com sucesso. Pronto, faça o teste no site da Receita Federal.
 
-Claro o uso do smartcard da receita  s um exemplo, podemos crirar nossos prprios certificados, e inseri-los no carto, com isso podemos criar as mais diversas aplicaes, na UNICAMP utilizam smartcards para acesso  reas restritas da universidade, isto pode ser implementado em qualquer empresa.
+Claro o uso do smartcard da receita é só um exemplo, podemos criar nossos 
+próprios certificados, e inserí-los no cartão, com isso podemos criar as 
+mais diversas aplicações, na UNICAMP utilizam smartcards para acesso áreas 
+restritas da universidade, isto pode ser implementado em qualquer empresa.
 
-Enfim, acredito que nos prximos anos o uso de smartcards no GNU/Linux aumentar diante das novas tecnologias que vm surgindo.
+Enfim, acredito que nos próximos anos o uso de smartcards no GNU/Linux 
+aumentar diante das novas tecnologias que vêem surgindo.
